<div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom box-shadow">
  <h5 class="my-0 mr-md-auto font-weight-normal">{{title}}</h5>
  <nav>
    <a class="p-2 text-dark" routerLink="/product-catalog" routerLinkActive="active">Catalog</a>
    <ng-container *ngIf="isAuthenticated()">
    <a class="p-2 text-dark" routerLink="/new-product" routerLinkActive="active">New product</a>
      <a class="p-2 text-dark" routerLink="/my-orders" routerLinkActive="active">My Orders</a>
      <a class="p-2 text-dark" routerLink="/orders" routerLinkActive="active">Orders</a>
    </ng-container>
      <a class="p-2 text-dark" routerLink="/new-order" routerLinkActive="active">New Order</a>
  </nav>
  <span class="p-2">{{userDetails?.profile}}</span>
  <select *ngIf="userDetails && userDetails.agencies.length">
    <option *ngFor="let agency of userDetails.agencies" [value]="agency">{{agency}}</option>
  </select>
  <button class="btn btn-outline-primary p-2"  *ngIf="!isAuthenticated()"
    (click)="login()">Login</button>
  <button class="btn btn-outline-danger p-2" *ngIf="isAuthenticated()"
    (click)="logout()">Logout</button>
</div>
<div class="container">
  <router-outlet></router-outlet>
</div>